<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<!--################################################################################-->
	<xsl:template match="/">
		<xsl:apply-templates select="DiskLibrary"/>
	</xsl:template>
	<!--################################################################################-->
	<xsl:template match="DiskLibrary">
		<html>
			<body>
				<h3>DiskLibrary Catalogs</h3>
				<xsl:for-each select="catalog">
					<p/>
					<h4>
						<table>
							<tr>
								<td>
                                <strong>Catalog Name:</strong>
                            </td>
								<td>
									<xsl:value-of select="@name"/>
								</td>
							</tr>
							<tr>
								<td>
                                <strong>Media Type:</strong>
                            </td>
								<td>
									<xsl:value-of select="@mediaType"/>
								</td>
							</tr>
							<tr>
								<td>
                                <strong>Bytes Used:</strong>
                            </td>
								<td>
									<xsl:value-of select="@size"/>
								</td>
							</tr>
						</table>
					</h4>
					<p/>
					<table style="font-size:9pt" width="100%">
						<tr>
							<th valign="top" align="left">File name</th>
							<th valign="top" align="left">Kind</th>
							<th valign="top" align="left">Path</th>
							<th valign="top" align="left">Size</th>
							<th valign="top" align="left">Creation Date</th>
							<th valign="top" align="left">Modified Date</th>
							<th valign="top" align="left">Comment</th>
						</tr>
						<tr>
							<td colspan="7">
								<hr/>
							</td>
						</tr>
					   <xsl:apply-templates select="contents"/>					
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="contents">
		<xsl:for-each select="file">
			<tr>
				<td valign="top">
					<xsl:value-of select="@name"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@kind"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@path"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@size"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@creationDate"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@lastModifiedDate"/>
				</td>
				<td valign="top">
					<xsl:value-of select="@comment"/>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>